Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.content
Class ImagingCondition

    Object
      CodeList<ImagingCondition>
          ImagingCondition

All Implemented Interfaces:
  Serializable, Comparable<ImagingCondition>

    @UML(identifier="MD_ImagingConditionCode",
         specification=ISO_19115)
    public final class ImagingCondition

extends CodeList<ImagingCondition>

Code which indicates conditions which may affect the image.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static ImagingCondition` | `BLURRED_IMAGE` Portion of the image is blurred.
`static ImagingCondition` | `CLOUD` Portion of the image is partially obscured by cloud cover
`static ImagingCondition` | `DEGRADING_OBLIQUITY` Acute angle between the plane of the ecliptic (the plane of the Earth's orbit) and the plane of the celestial equator.
`static ImagingCondition` | `FOG` Portion of the image is partially obscured by fog.
`static ImagingCondition` | `HEAVY_SMOKE_OR_DUST` Portion of the image is partially obscured by heavy smoke or dust.
`static ImagingCondition` | `NIGHT` Image was taken at night.
`static ImagingCondition` | `RAIN` Image was taken during rainfall.
`static ImagingCondition` | `SEMI_DARKNESS` Image was taken during semi-dark conditions or twilight conditions.
`static ImagingCondition` | `SHADOW` Portion of the image is obscured by shadow.
`static ImagingCondition` | `SNOW` Portion of the image is obscured by snow.
`static ImagingCondition` | `TERRAIN_MASKING` The absence of collection data of a given point or area caused by the relative location of topographic features which obstruct the collection path between the collector(s) and the subject(s) of interest.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static ImagingCondition` | `valueOf(String code)` Returns the ImagingCondition that matches the given string, or returns a new one if none match it.
`static ImagingCondition[]` | `values()` Returns the list of `ImagingCondition`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BLURRED_IMAGE

    @UML(identifier="blurredImage",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition BLURRED_IMAGE

  Portion of the image is blurred.

### CLOUD

    @UML(identifier="cloud",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition CLOUD

  Portion of the image is partially obscured by cloud cover

### DEGRADING_OBLIQUITY

    @UML(identifier="degradingObliquity",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition DEGRADING_OBLIQUITY

  Acute angle between the plane of the ecliptic (the plane of the Earth's orbit) and the plane of the celestial equator.

### FOG

    @UML(identifier="fog",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition FOG

  Portion of the image is partially obscured by fog.

### HEAVY_SMOKE_OR_DUST

    @UML(identifier="heavySmokeOrDust",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition HEAVY_SMOKE_OR_DUST

  Portion of the image is partially obscured by heavy smoke or dust.

### NIGHT

    @UML(identifier="night",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition NIGHT

  Image was taken at night.

### RAIN

    @UML(identifier="rain",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition RAIN

  Image was taken during rainfall.

### SEMI_DARKNESS

    @UML(identifier="semiDarkness",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition SEMI_DARKNESS

  Image was taken during semi-dark conditions or twilight conditions.

### SHADOW

    @UML(identifier="shadow",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition SHADOW

  Portion of the image is obscured by shadow.

### SNOW

    @UML(identifier="snow",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition SNOW

  Portion of the image is obscured by snow.

### TERRAIN_MASKING

    @UML(identifier="terrainMasking",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final ImagingCondition TERRAIN_MASKING

  The absence of collection data of a given point or area caused by the relative location of topographic features which obstruct the collection path between the collector(s) and the subject(s) of interest.

Method Detail

### values

    public static ImagingCondition[] values()

  Returns the list of `ImagingCondition`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ImagingCondition>`

### valueOf

    public static ImagingCondition valueOf(String code)

  Returns the ImagingCondition that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.